<template>
  <div class="evaluate">
    <div class="title">
      <span>综合绩效评价</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="content">
      <div class="contentleft">
        <div id="upperChart"></div>
        <div class="bottomContent">
          <div class="divLine"></div>
          <div class="btcontentmessage">
            <div class="btn btn1">
              <span>{{ dataLA1 }}</span>
              <span>A</span>
            </div>
            <div class="btn btn2">
              <span>{{ dataLB1 }}</span>
              <span>B</span>
            </div>
            <div class="btn btn3">
              <span>{{ dataLC1 }}</span>
              <span>C</span>
            </div>
            <div class="btn btn4">
              <span>{{ dataLD1 }}</span>
              <span>D</span>
            </div>
          </div>
        </div>
      </div>
      <div class="contentleft">
        <div id="lowerChart"></div>
        <div class="bottomContent">
          <div class="divLine"></div>
          <div class="btcontentmessage">
            <div class="btn btn1">
              <span>{{ dataLA2 }}</span>
              <span>A</span>
            </div>
            <div class="btn btn2">
              <span>{{ dataLB2 }}</span>
              <span>B</span>
            </div>
            <div class="btn btn3">
              <span>{{ dataLC2 }}</span>
              <span>C</span>
            </div>
            <div class="btn btn4">
              <span>{{ dataLD2 }}</span>
              <span>D</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      dataX1: [],
      dataY1: [],
      dataY01: [],
      dataX2: [],
      dataY2: [],
      dataY02: [],
      leftoption: {},
      rightoption: {},
      dataLA1: "20%",
      dataLB1: "30%",
      dataLC1: "40%",
      dataLD1: "50%",
      dataLA2: "20%",
      dataLB2: "30%",
      dataLC2: "40%",
      dataLD2: "50%",
    };
  },
  //方法集合
  methods: {
    //获取数据

    async drawLine() {
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/above_enterprise/aboveEnterprise/queryall"
      );

      const { data: dt1 } = await this.$http.get(
        "/jeecg-boot/below_enterprise/belowEnterprise/queryall"
      );
      this.GetChartDataLeft1(dt.result);
      this.GetChartDataLeft2(dt1.result);
    },

    //左一饼图
    GetChartDataLeft1(val) {
      val.forEach((element) => {
        this.dataX1.push(element.sjxmc);
      });
      val.forEach((element) => {
        this.dataY01.push(Number(element.jcsjxsum));
      });
      let leftChart = this.$echarts.init(document.getElementById("upperChart"));
      //数据赋值
      for (var i = 0; i < this.dataY01.length; i++) {
        this.dataY1.push({
          name: this.dataX1[i],
          value: this.dataY01[i],
        });
      }
      this.leftoption = {
        baseOption: {
          title: {
            top: "5%",
            text: "规模以上工业企业",
            textStyle: {
              color: "#FFF",
              fontSize: 25,
            },
            left: "center",
          },
          series: [
            {
              itemStyle: {
                normal: {
                  color: function (params) {
                    var Dcolor = [
                      "#7BF5EE",
                      "#FFE390",
                      "#FF9D92",
                      "#FFA5C0",
                      "#B38DFC",
                      "#95B3FF",
                      "#D4F37F",
                      "#8AF1FF",
                      "#8AF1FF",
                    ];
                    return Dcolor[params.dataIndex];
                  },
                  borderColor: "#172659",
                  borderWidth: 0,
                },
              },
              type: "pie",
              radius: ["30%", "50%"],
              center: ["50%", "55%"],
              labelLine: {
                length: "30",
                length2: "10",
              },
              label: {
                show: false,

                normal: {
                  formatter: (params) => {
                    return params.name + "\n" + params.percent.toFixed(0) + "%";
                  },
                  textStyle: {
                    color: "#FFF",
                    fontSize: 10,
                  },
                  color: "#FFFFFF",
                  lineHeight: 10,
                  padding: [0, 15, 0, -5],
                },
              },
              data: this.dataY1,
            },
            {
              itemStyle: {
                normal: {
                  color: "rgba(34,52,70,0.4)",
                },
              },
              type: "pie",
              hoverAnimation: true,
              radius: ["30%", "58%"],
              center: ["50%", "55%"],
              label: {
                normal: {
                  show: false,
                },
              },
              data: [
                {
                  value: 1,
                },
              ],
              z: -1,
            },
          ],
        },
        //媒体查询
        media: [
          {
            query: {
              minWidth: 550,
            },
            option: {
              title: {
                top: "2%",
                textStyle: {
                  fontSize: 15,
                },
              },
              labelLine: {
                length: "0",
                length2: "0",
              },

              series: [
                {
                  center: ["50%", "60%"],
                  radius: ["30%", "50%"],
                  label: {
                    normal: {
                      textStyle: {
                        fontSize: 10,
                      },

                      lineHeight: 15,
                    },
                  },
                },
                {
                  radius: ["40%", "60%"],
                  center: ["50%", "60%"],
                },
              ],
            },
          },
        ],
      };
      leftChart.setOption(this.leftoption);
      leftChart.resize();
      getDefaultSelected(leftChart);
      //默认选中状态
      function getDefaultSelected(myChart) {
        let index = 0;
        myChart.dispatchAction({
          type: "highlight",
          seriesIndex: 0,
          dataIndex: 0,
        });
        myChart.on("mouseover", (e) => {
          if (e.dataIndex !== index) {
            myChart.dispatchAction({
              type: "downplay",
              seriesIndex: 0,
              dataIndex: index,
            });
          }
        });
        myChart.on("mouseout", (e) => {
          index = e.dataIndex;
          myChart.dispatchAction({
            type: "highlight",
            seriesIndex: 0,
            dataIndex: e.dataIndex,
          });
        });
      }
    },

    //左二图标
    GetChartDataLeft2(val) {
      val.forEach((element) => {
        this.dataX2.push(element.sjxmc);
      });
      val.forEach((element) => {
        this.dataY02.push(Number(element.jcsjxsum));
      });
      let rightChart = this.$echarts.init(
        document.getElementById("lowerChart")
      );
      //数据赋值

      for (var i = 0; i < this.dataY02.length; i++) {
        this.dataY2.push({
          name: this.dataX2[i],
          value: this.dataY02[i],
        });
      }
      this.rightoption = {
        baseOption: {
          title: {
            top: "5%",
            text: "规模以下工业企业",
            textStyle: {
              color: "#FFF",
              fontSize: 25,
            },
            left: "center",
          },

          series: [
            {
              itemStyle: {
                normal: {
                  color: function (params) {
                    var Dcolor = [
                      "#7BF5EE",
                      "#FFE390",
                      "#FF9D92",
                      "#FFA5C0",
                      "#B38DFC",
                      "#95B3FF",
                      "#D4F37F",
                      "#8AF1FF",
                      "#8AF1FF",
                    ];
                    return Dcolor[params.dataIndex];
                  },
                  borderColor: "#172659",
                  borderWidth: 0,
                },
              },
              type: "pie",
              radius: ["30%", "50%"],
              center: ["50%", "55%"],
              labelLine: {
                length: "30",
                length2: "20",
              },
              label: {
                show: true,

                normal: {
                  formatter: (params) => {
                    return params.name + "\n" + params.percent.toFixed(0) + "%";
                  },
                  color: "#FFFFFF",
                  textStyle: {
                    color: "#FFF",
                    fontSize: 10,
                  },
                  lineHeight: 10,
                  padding: [0, 5, 0, -5],
                },
              },
              data: this.dataY2,
            },
            {
              itemStyle: {
                normal: {
                  color: "rgba(34,52,70,0.4)",
                },
              },
              type: "pie",
              hoverAnimation: true,
              radius: ["30%", "58%"],
              center: ["50%", "55%"],
              label: {
                normal: {
                  show: false,
                },
              },
              data: [
                {
                  value: 1,
                },
              ],
              z: -1,
            },
          ],
        },
        //媒体查询
        media: [
          {
            query: {
              minWidth: 550,
            },
            option: {
              title: {
                top: "0",
                textStyle: {
                  fontSize: 15,
                },
              },

              series: [
                {
                  //   labelLine: {
                  //     length: "5",
                  //     length2: "3",
                  //   },
                  center: ["50%", "60%"],
                  radius: ["30%", "50%"],
                  label: {
                    normal: {
                      textStyle: {
                        fontSize: 10,
                      },

                      lineHeight: 15,
                    },
                  },
                },
                {
                  radius: ["40%", "60%"],
                  center: ["50%", "60%"],
                },
              ],
            },
          },
        ],
      };
      rightChart.setOption(this.rightoption);
      getDefaultSelected(rightChart);
      //默认选中状态
      function getDefaultSelected(myChart) {
        let index = 0;
        myChart.dispatchAction({
          type: "highlight",
          seriesIndex: 0,
          dataIndex: 0,
        });
        myChart.on("mouseover", (e) => {
          if (e.dataIndex !== index) {
            myChart.dispatchAction({
              type: "downplay",
              seriesIndex: 0,
              dataIndex: index,
            });
          }
        });
        myChart.on("mouseout", (e) => {
          index = e.dataIndex;
          myChart.dispatchAction({
            type: "highlight",
            seriesIndex: 0,
            dataIndex: e.dataIndex,
          });
        });
      }
    },
  },
  mounted() {
    this.drawLine();
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.evaluate {
  height: 60%;
  width: 100%;
  background: rgba(8, 32, 58, 0.7);
  .title {
    width: 100%;
    position: relative;

    img {
      width: 100%;
    }

    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }

  .content {
    width: 100%;
    height: calc(100% - 100px);
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    // align-items: center;

    .contentleft {
      height: 100%;
      width: 49%;

      #upperChart {
        width: 100%;
        height: 75%;
      }

      #lowerChart {
        width: 100%;
        height: 75%;
      }
      .bottomContent {
        position: relative;
        width: 100%;
        height: 20%;
        .divLine {
          z-index: 1;
          position: absolute;
          margin-top: 11%;
          display: flex;
          align-items: center;
          justify-content: center;
          background-color: #223242;
          height: 12px;
          width: 100%;
        }
      }
      .btcontentmessage {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        align-items: center;

        .btn {
          width: 0;
          height: 0;
          border: 100px solid;
          z-index: 2;
          display: flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;
          span {
            color: #ffffff;
            font-size: 70px;
          }
        }

        .btn1 {
          border-color: #3e88d5 #3e88d5 transparent #3e88d5;
          margin-left: -17%;
        }
        .btn2 {
          border-color: #97bf23 #97bf23 transparent #97bf23;
          margin-left: 22%;
        }
        .btn3 {
          border-color: #f96d1a #f96d1a transparent #f96d1a;
          margin-left: 34%;
        }
        .btn4 {
          border-color: #ea037a #ea037a transparent #ea037a;
          margin-right: -23%;
        }
      }
    }
  }
}
@media only screen and (max-width: 2560px) {
  .evaluate {
    height: 100%;
    background: transparent;
    .content {
      height: 6000px;
      .contentleft {
        width: 100% !important;
        height: 50% !important;
        position: relative;
        align-items: stretch;
        #upperChart {
          width: 100%;
          height: 70% !important;
        }
        #lowerChart {
          width: 100%;
          height: 70% !important;
        }
        .bottomContent {
          height: 30% !important;
        }
        .btcontentmessage {
          height: 30%;
        }
      }
    }
  }
}
</style>
